Bug 50282 - Decimal key on Swedish numerical keyboard should be comma, not point
Decimal key on Swedish numerical keyboard should be comma, not point
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-29 16:22 EDT by Christian Rose
Modified: 2007-04-18 12:35 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.3.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-25 05:59:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config (14.16 KB, text/plain)
2001-08-19 19:15 EDT, Christian Rose
no flags Details
XF86Config (14.16 KB, text/plain)
2001-08-19 19:16 EDT, Christian Rose
no flags Details
XF86Config-4 (1.80 KB, text/plain)
2001-08-19 19:17 EDT, Christian Rose
no flags Details
X configuration part 1 (14.14 KB, text/plain)
2001-08-20 05:28 EDT, Kjartan Maraas
no flags Details
X configuration part 1 (14.14 KB, text/plain)
2001-08-20 05:28 EDT, Kjartan Maraas
no flags Details
X configuration part 2 (1.83 KB, text/plain)
2001-08-20 05:30 EDT, Kjartan Maraas
no flags Details

  None (edit)
Description Christian Rose 2001-07-29 16:22:24 EDT
When I press "," (the decimal symbol key) on the numerical part of my
Swedish keyboard in XFree86, I get a "." (point).
This is obviously wrong, as it should be a comma, the decimal symbol that
is used in Sweden and what this key is labeled with.

I've checked some other keyboard layouts and others for which the decimal
key on the numeric keypad is a comma is as follows:
Finland (identical to the Swedish layout), Denmark, Netherlands, Norway,
Switzerland, Germany. You might want to check these too.
Comment 1 Kjartan Maraas 2001-08-12 13:27:38 EDT
I can confirm that I get point instead of comma in norwegian too.
Comment 2 Mike A. Harris 2001-08-19 19:08:31 EDT
Please attach your XFree86 config so I can see what layout, etc.
you are using.
Comment 3 Christian Rose 2001-08-19 19:15:35 EDT
Created attachment 28419 [details]
XF86Config
Comment 4 Christian Rose 2001-08-19 19:16:21 EDT
Created attachment 28420 [details]
XF86Config
Comment 5 Christian Rose 2001-08-19 19:17:09 EDT
Created attachment 28421 [details]
XF86Config-4
Comment 6 Christian Rose 2001-08-19 19:17:51 EDT
Sorry for the duplicate attachments, was bugzilla/browser problem.
Comment 7 Kjartan Maraas 2001-08-20 05:28:30 EDT
Created attachment 28428 [details]
X configuration part 1
Comment 8 Kjartan Maraas 2001-08-20 05:28:54 EDT
Created attachment 28429 [details]
X configuration part 1
Comment 9 Kjartan Maraas 2001-08-20 05:29:43 EDT
Still problems with attaching stuff in bugzilla.
Comment 10 Kjartan Maraas 2001-08-20 05:30:19 EDT
Created attachment 28430 [details]
X configuration part 2
Comment 11 Martin Norback 2001-11-28 09:36:26 EST
I can confirm this with these two XF86Config-4 configs (on two machines with
Microsoft Desktop Pro and Logitech Cordless Desktop Pro, respectively)

	Option	"XkbRules"	"xfree86"
	Option	"XkbModel"	"microsoftpro"
	Option	"XkbLayout"	"se"
	Option	"XkbVariant"	""

and

	Option	"XkbRules"	"xfree86"
	Option	"XkbModel"	"logicordless"
	Option	"XkbLayout"	"se"
	Option	"XkbVariant"	"basic"

(This is on red hat 7.2 on both machines)
Comment 12 Need Real Name 2002-01-04 08:14:18 EST
Same on a German Keyboard
Comment 13 Christian Rose 2002-05-05 03:31:12 EDT
This problem still exists in the Skipjack beta.
Comment 14 Mike A. Harris 2002-05-30 03:12:19 EDT
Does anyone have a patch to fix this?
Comment 15 Christian Rose 2002-06-07 17:50:37 EDT
I know nothing about XFree86 internals, so in my case the answer is "no, I don't
have a patch".
Comment 16 Mike A. Harris 2002-07-29 22:14:22 EDT
It isn't an XFree86 internals thing really.  It is just a modification
to the keyboard mapping tables, which are text files.

Comment 17 Christian Rose 2002-10-21 15:56:26 EDT
This still applies to RHL 8.0. Sigh.
Comment 18 Mike A. Harris 2002-10-21 16:12:59 EDT
Problems like this should be reported directly to XFree86.org, so that
the people who create these files can correct them themselves and do it
properly, from being ultra familiar with both the layout of the files,
and the layout of the given keyboard types.  <sigh>

Once it is fixed in XFree86.org upstream sources (presumeably after
someone who cares enough reports it to them), it will make it's way
into Red Hat Linux.  By maintaining forks of these files, package
maintenance overhead goes way up.  By contrast, if the changes are
done by XFree86.org in CVS, the changes are _already_ there, and
we can just pick up the fixes, apply them once, then drop the patch
once we update to the new XFree86 when it comes out.

Closing bug WONTFIX in hopes that more people will start reporting
these types of bugs *BOTH* to us, *AND* to upstream developers who
maintain the stuff.
Comment 19 Christian Rose 2002-10-21 21:46:44 EDT
Reported upstream to XFree86 now. Mumble.
Comment 20 Christian Rose 2002-12-14 16:45:20 EST
Relevant GDK bug: http://bugzilla.gnome.org/show_bug.cgi?id=101225
Comment 21 Christian Rose 2002-12-20 06:40:37 EST
I just got the word that Robin Rosenberg got his patch for this included in
XFree86 CVS.
http://cvsweb.xfree86.org/cvsweb/xc/programs/xkbcomp/symbols/se?rev=3.10&content-type=text/x-cvsweb-markup
Comment 22 Mike A. Harris 2002-12-20 07:25:31 EST
Ok, good to hear.  Thanks for updating the report with this information
so that others watching it for changes are also aware now.

Sometimes people think I'm unreasonable when I close some issues like this
and ask them to report things upstream.  I can understand their frustration
sometimes, but there is a method to my madness.  By defering some types
of issues to upstream, it allows more work to get done, as the people who
are more familiar with the issues at hand are more likely to be able to
fix it, and to do so faster, and get much wider range of feedback by being
right in the official source pool.

I have done an experiment lately for a couple specific types of issues.  I
have as some of you know, been specifically defering almost all xkb
related issues, keyboard mapping, xmodmap, etc. to upstream, and either
closing WONTFIX, or setting bugs to DEFERRED.  My feeling was that I believed
that many of these issues could be fixed much more quickly by upstream,
and I haven't been let down.

Looking through CVS logs of XFree86.org over the last month or two, and
counting all of the xkb and similar related bug fix checkins that have
occured, I know that many of them are ones that I pointed people to submit
directly upstream (many of you CC'd on this report).  This proves the
method to my madness!  ;o)  Upstream has shown a very good response time
on this class of bugs, and they also have massaged any problems with
patches people have submitted, and commited fixed versions to CVS.

That allowed me to spend more time fixing other issues that I myself are
much more familiar with, and thus be more productive as well. My own fixes
are, or will be in 4.3.0 as well, so this shows that via delegation of
certain types of problems, more can be accomplished, and also that bug
reporters can help to get their problems fixed faster by parallelizing
the number of eyes who are seeing the problems, and preferably directing
certain problems towards people most familiar with the problem domain.

Sorry to use you all in my little experiment, but I did it for everyone's
own good, and it has paid off has it not?  ;o)

Please feel free to grumble at me if you like, when I do such delegation,
but please also understand, it is for everyone's own good.  ;o)

In future, please report xkb and similar bugs to both xpert@XFree86.org,
xfree86@xfree86.org, etc. and in bugzilla at the same time, and note in
your bugzilla report that you have reported it to XFree86, and where please.
That way we can both track each other, and resolve issues faster.

Now... if I could only convince XFree86.org that bugzilla would do them
a lot of good....  ;o)

Thanks again everyone for being patient, and for also filing things upstream,
it is much appreciated.

Closing bug as fixed in RAWHIDE, just in time for Christmas.  ;o)
Comment 23 Christian Rose 2002-12-20 08:19:32 EST
Ok, nice! Happy holidays to you and everyone else too.
Comment 24 Mike A. Harris 2003-04-25 05:59:32 EDT
I believe this is fixed in 4.3.0 now and this bug report just never got
updated.  Closing bug as fixed in 4.3.0 in Red Hat Linux 9.  If the problem
does however still exist, please report it upstream at http://bugs.xfree86.org
if you haven't already, then reopen this report and paste the upstream URL
for me to track.
Comment 25 Christian Rose 2003-04-25 08:18:10 EDT
Verified as fixed in RHL 9. Thanks.
Comment 26 Mark J. Cox (Product Security) 2003-06-25 11:52:29 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-066.html

Note You need to log in before you can comment on or make changes to this bug.